#4375 Webmin not detecting Webalizer version correctly

All
closed-fixed
nobody
5
2014-10-27
2014-02-11
No

Webmin not allowind to enable webalizer, even latest webalizer is installed at debian 7 (newest).

Error shown: Failed to save enabled features : Webalizer does not appear to be installed on your system, or has not yet been set up properly in Webmin's Webalizer Logfile Analysis module. If your system does not use Webalizer, it should be disabled in Virtualmin's module configuration page.

Webmin's Webalizer Logfile Analysis module says: The Webalizer command /usr/bin/webalizer on your system is version ersion:, but this module only supports versions 2.0 and above.

Somereason it doesn't detect versionnumber of webalizer.

Operating system Debian Linux 7
Webmin version 1.675

Discussion

  • Jamie Cameron

    Jamie Cameron - 2014-02-12

    What do the following commands output on your system :

    webalizer -v
    webalizer -V

     
  • Mika Vimpari

    Mika Vimpari - 2014-02-12

    webalizer -V

    Webalizer V2.23-05 (Linux 2.6.32-042stab083.2 x86_64) locale
    Copyright 1997-2011 by Bradford L. Barrett

    webalizer -v: generates summary reports, so maybe webmin goes crazy because of that and doesn't even try -V?

     
    Last edit: Mika Vimpari 2014-02-12
  • Mika Vimpari

    Mika Vimpari - 2014-02-12

    Debuglog (ip and username hidden):

    32149 [12/Feb/2014 15:07:41.515795] username ip-address - READ "/usr/share/webmin/virtual-server-theme/config"
    32149 [12/Feb/2014 15:07:41.518359] username ip-address - READ "/etc/webmin/custom-lang"
    32149 [12/Feb/2014 15:07:41.519550] username ip-address - READ "/etc/webmin/webalizer/custom-lang"
    32149 [12/Feb/2014 15:07:41.520093] username ip-address - READ "/etc/webmin/module.infos.cache"
    32149 [12/Feb/2014 15:07:41.550478] username ip-address - READ "/usr/share/webmin//defaultacl"
    32149 [12/Feb/2014 15:07:41.550823] username ip-address - READ "/etc/webmin/username.acl"
    32149 [12/Feb/2014 15:07:41.551184] username ip-address - READ "/etc/webmin//username.acl"
    32149 [12/Feb/2014 15:07:41.551535] username ip-address - READ "/etc/webmin/installed.cache"
    32149 [12/Feb/2014 15:07:41.553800] username ip-address - READ "/usr/share/webmin/webalizer/module.info"
    32149 [12/Feb/2014 15:07:41.554283] username ip-address - READ "/etc/webmin/webmin.cats"
    32149 [12/Feb/2014 15:07:41.554517] username ip-address - READ "/etc/webmin/webmin.descs"
    32149 [12/Feb/2014 15:07:41.558613] username ip-address webalizer READ "/usr/share/webmin/webalizer/defaultacl"
    32149 [12/Feb/2014 15:07:41.558970] username ip-address webalizer READ "/etc/webmin/webalizer/username.acl"
    32149 [12/Feb/2014 15:07:41.572379] username ip-address - READ "/etc/webmin/cron/config"
    32149 [12/Feb/2014 15:07:41.574113] username ip-address - READ "/etc/webmin/cron/custom-lang"
    32149 [12/Feb/2014 15:07:41.591567] username ip-address cron READ "/usr/share/webmin/cron/defaultacl"
    32149 [12/Feb/2014 15:07:41.592001] username ip-address cron READ "/etc/webmin/cron/username.acl"
    32149 [12/Feb/2014 15:07:42.156887] username ip-address webalizer READ "/usr/share/webmin/man/module.info"
    32149 [12/Feb/2014 15:07:42.239047] username ip-address - UNLINK "/tmp/.webmin/320147_32149_1_index.cgi"
    32149 [12/Feb/2014 15:07:42.239336] username ip-address - STOP "runtime=1"

     
  • Jamie Cameron

    Jamie Cameron - 2014-02-12
    • status: open --> closed-fixed
     
  • Jamie Cameron

    Jamie Cameron - 2014-02-12

    Yes, I think webmin's use of -v is the problem. Since only really old webalizer versions used this flag, I will switch to only using -V in the next release.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks